.casestudies{
  $casestudies: &;
 
  &__wrapper{
    padding: 2rem;
    @include respond-to(desktops){
      padding: 4rem;
    }
  }
  &__item{
    &:hover{
      #{$casestudies}__overlay{
        opacity: 1;
        visibility: visible;
        height: 100%;
        transition: all 0.4s ease 0s;
      }
    }
  }

  &__img{
    position: relative;
  }

  &__overlay{
    padding: 1rem;
    position: absolute;
    width: 100%;
    height: 0%;
    @extend %bg3;
    left: 0;
    opacity: 0;
    visibility: hidden;
    transition: all 0.4s ease 0s;
    bottom: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
  }
  &__btn{
    span{
      cursor: pointer;
      color: $skyblueColor;
      &:hover{
        color: $redColor;
      }
    }
  }

}